Bug 1366587 - NullPointerException trying to edit Makefile.am
Summary: NullPointerException trying to edit Makefile.am
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse-cdt
Version: 24
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Jeff Johnston
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-12 12:10 UTC by Stephen Gallagher
Modified: 2017-08-08 16:30 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-08-08 16:30:14 UTC


Attachments (Terms of Use)
traceback (10.12 KB, text/plain)
2016-08-12 12:11 UTC, Stephen Gallagher
no flags Details

Description Stephen Gallagher 2016-08-12 12:10:02 UTC
Description of problem:
When I attempt to open a Makefile.am (specifically https://github.com/SSSD/sssd/blob/master/Makefile.am ) it fails and generates a traceback.

Version-Release number of selected component (if applicable):
eclipse-cdt-9.0.0-1.fc24.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Start Eclipse
2. Attempt to open Makefile.com
3.

Actual results:
Traceback as below

Expected results:
The editor should work.

Additional info:


java.lang.NullPointerException
	at org.eclipse.cdt.internal.autotools.ui.editors.automake.AutomakeErrorHandler.checkChildren(AutomakeErrorHandler.java:87)
	at org.eclipse.cdt.internal.autotools.ui.editors.automake.AutomakeErrorHandler.update(AutomakeErrorHandler.java:71)
	at org.eclipse.cdt.internal.autotools.ui.editors.automake.AutomakeDocumentProvider.connect(AutomakeDocumentProvider.java:102)
	at org.eclipse.ui.texteditor.AbstractTextEditor.doSetInput(AbstractTextEditor.java:4178)
	at org.eclipse.ui.texteditor.StatusTextEditor.doSetInput(StatusTextEditor.java:229)
	at org.eclipse.ui.texteditor.AbstractDecoratedTextEditor.doSetInput(AbstractDecoratedTextEditor.java:1466)
	at org.eclipse.ui.editors.text.TextEditor.doSetInput(TextEditor.java:150)
	at org.eclipse.cdt.internal.autotools.ui.editors.automake.AutomakeEditor.doSetInput(AutomakeEditor.java:55)
	at org.eclipse.ui.texteditor.AbstractTextEditor$5.run(AbstractTextEditor.java:3154)
	at org.eclipse.jface.operation.ModalContext.runInCurrentThread(ModalContext.java:437)
	at org.eclipse.jface.operation.ModalContext.run(ModalContext.java:353)
	at org.eclipse.ui.internal.WorkbenchWindow$14.run(WorkbenchWindow.java:2184)
	at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:70)
	at org.eclipse.ui.internal.WorkbenchWindow.run(WorkbenchWindow.java:2180)
	at org.eclipse.ui.texteditor.AbstractTextEditor.internalInit(AbstractTextEditor.java:3172)
	at org.eclipse.ui.texteditor.AbstractTextEditor.init(AbstractTextEditor.java:3197)
	at org.eclipse.ui.internal.EditorReference.initialize(EditorReference.java:362)
	at org.eclipse.ui.internal.e4.compatibility.CompatibilityPart.create(CompatibilityPart.java:319)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.eclipse.e4.core.internal.di.MethodRequestor.execute(MethodRequestor.java:54)
	at org.eclipse.e4.core.internal.di.InjectorImpl.processAnnotated(InjectorImpl.java:966)
	at org.eclipse.e4.core.internal.di.InjectorImpl.processAnnotated(InjectorImpl.java:931)
	at org.eclipse.e4.core.internal.di.InjectorImpl.inject(InjectorImpl.java:151)
	at org.eclipse.e4.core.internal.di.InjectorImpl.internalMake(InjectorImpl.java:375)
	at org.eclipse.e4.core.internal.di.InjectorImpl.make(InjectorImpl.java:294)
	at org.eclipse.e4.core.contexts.ContextInjectionFactory.make(ContextInjectionFactory.java:162)
	at org.eclipse.e4.ui.internal.workbench.ReflectionContributionFactory.createFromBundle(ReflectionContributionFactory.java:105)
	at org.eclipse.e4.ui.internal.workbench.ReflectionContributionFactory.doCreate(ReflectionContributionFactory.java:74)
	at org.eclipse.e4.ui.internal.workbench.ReflectionContributionFactory.create(ReflectionContributionFactory.java:56)
	at org.eclipse.e4.ui.workbench.renderers.swt.ContributedPartRenderer.createWidget(ContributedPartRenderer.java:129)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.createWidget(PartRenderingEngine.java:975)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.safeCreateGui(PartRenderingEngine.java:651)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.safeCreateGui(PartRenderingEngine.java:757)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.access$0(PartRenderingEngine.java:728)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$2.run(PartRenderingEngine.java:722)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.createGui(PartRenderingEngine.java:706)
	at org.eclipse.e4.ui.internal.workbench.PartServiceImpl$1.handleEvent(PartServiceImpl.java:104)
	at org.eclipse.e4.ui.services.internal.events.UIEventHandler$1.run(UIEventHandler.java:40)
	at org.eclipse.swt.widgets.Synchronizer.syncExec(Synchronizer.java:233)
	at org.eclipse.ui.internal.UISynchronizer.syncExec(UISynchronizer.java:145)
	at org.eclipse.swt.widgets.Display.syncExec(Display.java:5406)
	at org.eclipse.e4.ui.internal.workbench.swt.E4Application$1.syncExec(E4Application.java:211)
	at org.eclipse.e4.ui.services.internal.events.UIEventHandler.handleEvent(UIEventHandler.java:36)
	at org.eclipse.equinox.internal.event.EventHandlerWrapper.handleEvent(EventHandlerWrapper.java:201)
	at org.eclipse.equinox.internal.event.EventHandlerTracker.dispatchEvent(EventHandlerTracker.java:197)
	at org.eclipse.equinox.internal.event.EventHandlerTracker.dispatchEvent(EventHandlerTracker.java:1)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
	at org.eclipse.osgi.framework.eventmgr.ListenerQueue.dispatchEventSynchronous(ListenerQueue.java:148)
	at org.eclipse.equinox.internal.event.EventAdminImpl.dispatchEvent(EventAdminImpl.java:135)
	at org.eclipse.equinox.internal.event.EventAdminImpl.sendEvent(EventAdminImpl.java:78)
	at org.eclipse.equinox.internal.event.EventComponent.sendEvent(EventComponent.java:39)
	at org.eclipse.e4.ui.services.internal.events.EventBroker.send(EventBroker.java:94)
	at org.eclipse.e4.ui.internal.workbench.UIEventPublisher.notifyChanged(UIEventPublisher.java:60)
	at org.eclipse.emf.common.notify.impl.BasicNotifierImpl.eNotify(BasicNotifierImpl.java:374)
	at org.eclipse.e4.ui.model.application.ui.impl.ElementContainerImpl.setSelectedElement(ElementContainerImpl.java:173)
	at org.eclipse.e4.ui.internal.workbench.ModelServiceImpl.showElementInWindow(ModelServiceImpl.java:617)
	at org.eclipse.e4.ui.internal.workbench.ModelServiceImpl.bringToTop(ModelServiceImpl.java:581)
	at org.eclipse.e4.ui.internal.workbench.PartServiceImpl.delegateBringToTop(PartServiceImpl.java:770)
	at org.eclipse.e4.ui.internal.workbench.PartServiceImpl.bringToTop(PartServiceImpl.java:401)
	at org.eclipse.e4.ui.internal.workbench.PartServiceImpl.showPart(PartServiceImpl.java:1214)
	at org.eclipse.ui.internal.WorkbenchPage.busyOpenEditor(WorkbenchPage.java:3261)
	at org.eclipse.ui.internal.WorkbenchPage.access$25(WorkbenchPage.java:3176)
	at org.eclipse.ui.internal.WorkbenchPage$10.run(WorkbenchPage.java:3158)
	at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:70)
	at org.eclipse.ui.internal.WorkbenchPage.openEditor(WorkbenchPage.java:3153)
	at org.eclipse.ui.internal.WorkbenchPage.openEditor(WorkbenchPage.java:3117)
	at org.eclipse.ui.internal.WorkbenchPage.openEditor(WorkbenchPage.java:3107)
	at org.eclipse.ui.ide.IDE.openEditor(IDE.java:563)
	at org.eclipse.ui.ide.IDE.openEditor(IDE.java:518)
	at org.eclipse.jdt.internal.ui.javaeditor.EditorUtility.openInEditor(EditorUtility.java:360)
	at org.eclipse.jdt.internal.ui.javaeditor.EditorUtility.openInEditor(EditorUtility.java:167)
	at org.eclipse.jdt.ui.actions.OpenAction.run(OpenAction.java:256)
	at org.eclipse.jdt.ui.actions.OpenAction.run(OpenAction.java:221)
	at org.eclipse.jdt.ui.actions.SelectionDispatchAction.dispatchRun(SelectionDispatchAction.java:271)
	at org.eclipse.jdt.ui.actions.SelectionDispatchAction.run(SelectionDispatchAction.java:249)
	at org.eclipse.jdt.internal.ui.navigator.OpenAndExpand.run(OpenAndExpand.java:50)
	at org.eclipse.ui.actions.RetargetAction.run(RetargetAction.java:225)
	at org.eclipse.ui.navigator.CommonNavigatorManager$2.open(CommonNavigatorManager.java:191)
	at org.eclipse.ui.OpenAndLinkWithEditorHelper$InternalListener.open(OpenAndLinkWithEditorHelper.java:46)
	at org.eclipse.jface.viewers.StructuredViewer$2.run(StructuredViewer.java:855)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.viewers.StructuredViewer.fireOpen(StructuredViewer.java:852)
	at org.eclipse.jface.viewers.StructuredViewer.handleOpen(StructuredViewer.java:1169)
	at org.eclipse.ui.navigator.CommonViewer.handleOpen(CommonViewer.java:451)
	at org.eclipse.jface.util.OpenStrategy.fireOpenEvent(OpenStrategy.java:278)
	at org.eclipse.jface.util.OpenStrategy.access$2(OpenStrategy.java:272)
	at org.eclipse.jface.util.OpenStrategy$1.handleEvent(OpenStrategy.java:313)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
	at org.eclipse.swt.widgets.Display.sendEvent(Display.java:5219)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1340)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4553)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:4143)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run(PartRenderingEngine.java:1121)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:1022)
	at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:150)
	at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:687)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:604)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:148)
	at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:138)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:673)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:610)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1519)
	at org.eclipse.equinox.launcher.Main.main(Main.java:1492)

Comment 1 Stephen Gallagher 2016-08-12 12:11 UTC
Created attachment 1190352 [details]
traceback

Attaching traceback as a text file for easier reading.

Comment 2 Jeff Johnston 2016-08-19 19:08:20 UTC
(In reply to Stephen Gallagher from comment #0)
> Description of problem:
> When I attempt to open a Makefile.am (specifically
> https://github.com/SSSD/sssd/blob/master/Makefile.am ) it fails and
> generates a traceback.
> 
> Version-Release number of selected component (if applicable):
> eclipse-cdt-9.0.0-1.fc24.x86_64
> 
> How reproducible:
> Every time
> 
> Steps to Reproduce:
> 1. Start Eclipse
> 2. Attempt to open Makefile.com
> 3.
> 
> Actual results:
> Traceback as below
> 
> Expected results:
> The editor should work.
> 
> Additional info:
> 
> 
> java.lang.NullPointerException
> 	at
> org.eclipse.cdt.internal.autotools.ui.editors.automake.AutomakeErrorHandler.
> checkChildren(AutomakeErrorHandler.java:87)
> 	at
> org.eclipse.cdt.internal.autotools.ui.editors.automake.AutomakeErrorHandler.
> update(AutomakeErrorHandler.java:71)
> 	at
> org.eclipse.cdt.internal.autotools.ui.editors.automake.
> AutomakeDocumentProvider.connect(AutomakeDocumentProvider.java:102)
> 	at
> org.eclipse.ui.texteditor.AbstractTextEditor.doSetInput(AbstractTextEditor.
> java:4178)
> 	at
> org.eclipse.ui.texteditor.StatusTextEditor.doSetInput(StatusTextEditor.java:
> 229)
> 	at
> org.eclipse.ui.texteditor.AbstractDecoratedTextEditor.
> doSetInput(AbstractDecoratedTextEditor.java:1466)
> 	at org.eclipse.ui.editors.text.TextEditor.doSetInput(TextEditor.java:150)
> 	at
> org.eclipse.cdt.internal.autotools.ui.editors.automake.AutomakeEditor.
> doSetInput(AutomakeEditor.java:55)
> 	at
> org.eclipse.ui.texteditor.AbstractTextEditor$5.run(AbstractTextEditor.java:
> 3154)
> 	at
> org.eclipse.jface.operation.ModalContext.runInCurrentThread(ModalContext.
> java:437)
> 	at org.eclipse.jface.operation.ModalContext.run(ModalContext.java:353)
> 	at org.eclipse.ui.internal.WorkbenchWindow$14.run(WorkbenchWindow.java:2184)
> 	at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:70)
> 	at org.eclipse.ui.internal.WorkbenchWindow.run(WorkbenchWindow.java:2180)
> 	at
> org.eclipse.ui.texteditor.AbstractTextEditor.internalInit(AbstractTextEditor.
> java:3172)
> 	at
> org.eclipse.ui.texteditor.AbstractTextEditor.init(AbstractTextEditor.java:
> 3197)
> 	at
> org.eclipse.ui.internal.EditorReference.initialize(EditorReference.java:362)
> 	at
> org.eclipse.ui.internal.e4.compatibility.CompatibilityPart.
> create(CompatibilityPart.java:319)
> 	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
> 	at
> sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
> 	at
> sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.
> java:43)
> 	at java.lang.reflect.Method.invoke(Method.java:498)
> 	at
> org.eclipse.e4.core.internal.di.MethodRequestor.execute(MethodRequestor.java:
> 54)
> 	at
> org.eclipse.e4.core.internal.di.InjectorImpl.processAnnotated(InjectorImpl.
> java:966)
> 	at
> org.eclipse.e4.core.internal.di.InjectorImpl.processAnnotated(InjectorImpl.
> java:931)
> 	at
> org.eclipse.e4.core.internal.di.InjectorImpl.inject(InjectorImpl.java:151)
> 	at
> org.eclipse.e4.core.internal.di.InjectorImpl.internalMake(InjectorImpl.java:
> 375)
> 	at org.eclipse.e4.core.internal.di.InjectorImpl.make(InjectorImpl.java:294)
> 	at
> org.eclipse.e4.core.contexts.ContextInjectionFactory.
> make(ContextInjectionFactory.java:162)
> 	at
> org.eclipse.e4.ui.internal.workbench.ReflectionContributionFactory.
> createFromBundle(ReflectionContributionFactory.java:105)
> 	at
> org.eclipse.e4.ui.internal.workbench.ReflectionContributionFactory.
> doCreate(ReflectionContributionFactory.java:74)
> 	at
> org.eclipse.e4.ui.internal.workbench.ReflectionContributionFactory.
> create(ReflectionContributionFactory.java:56)
> 	at
> org.eclipse.e4.ui.workbench.renderers.swt.ContributedPartRenderer.
> createWidget(ContributedPartRenderer.java:129)
> 	at
> org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.
> createWidget(PartRenderingEngine.java:975)
> 	at
> org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.
> safeCreateGui(PartRenderingEngine.java:651)
> 	at
> org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.
> safeCreateGui(PartRenderingEngine.java:757)
> 	at
> org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.
> access$0(PartRenderingEngine.java:728)
> 	at
> org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$2.
> run(PartRenderingEngine.java:722)
> 	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
> 	at
> org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.
> createGui(PartRenderingEngine.java:706)
> 	at
> org.eclipse.e4.ui.internal.workbench.PartServiceImpl$1.
> handleEvent(PartServiceImpl.java:104)
> 	at
> org.eclipse.e4.ui.services.internal.events.UIEventHandler$1.
> run(UIEventHandler.java:40)
> 	at org.eclipse.swt.widgets.Synchronizer.syncExec(Synchronizer.java:233)
> 	at org.eclipse.ui.internal.UISynchronizer.syncExec(UISynchronizer.java:145)
> 	at org.eclipse.swt.widgets.Display.syncExec(Display.java:5406)
> 	at
> org.eclipse.e4.ui.internal.workbench.swt.E4Application$1.
> syncExec(E4Application.java:211)
> 	at
> org.eclipse.e4.ui.services.internal.events.UIEventHandler.
> handleEvent(UIEventHandler.java:36)
> 	at
> org.eclipse.equinox.internal.event.EventHandlerWrapper.
> handleEvent(EventHandlerWrapper.java:201)
> 	at
> org.eclipse.equinox.internal.event.EventHandlerTracker.
> dispatchEvent(EventHandlerTracker.java:197)
> 	at
> org.eclipse.equinox.internal.event.EventHandlerTracker.
> dispatchEvent(EventHandlerTracker.java:1)
> 	at
> org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.
> java:230)
> 	at
> org.eclipse.osgi.framework.eventmgr.ListenerQueue.
> dispatchEventSynchronous(ListenerQueue.java:148)
> 	at
> org.eclipse.equinox.internal.event.EventAdminImpl.
> dispatchEvent(EventAdminImpl.java:135)
> 	at
> org.eclipse.equinox.internal.event.EventAdminImpl.sendEvent(EventAdminImpl.
> java:78)
> 	at
> org.eclipse.equinox.internal.event.EventComponent.sendEvent(EventComponent.
> java:39)
> 	at
> org.eclipse.e4.ui.services.internal.events.EventBroker.send(EventBroker.java:
> 94)
> 	at
> org.eclipse.e4.ui.internal.workbench.UIEventPublisher.
> notifyChanged(UIEventPublisher.java:60)
> 	at
> org.eclipse.emf.common.notify.impl.BasicNotifierImpl.
> eNotify(BasicNotifierImpl.java:374)
> 	at
> org.eclipse.e4.ui.model.application.ui.impl.ElementContainerImpl.
> setSelectedElement(ElementContainerImpl.java:173)
> 	at
> org.eclipse.e4.ui.internal.workbench.ModelServiceImpl.
> showElementInWindow(ModelServiceImpl.java:617)
> 	at
> org.eclipse.e4.ui.internal.workbench.ModelServiceImpl.
> bringToTop(ModelServiceImpl.java:581)
> 	at
> org.eclipse.e4.ui.internal.workbench.PartServiceImpl.
> delegateBringToTop(PartServiceImpl.java:770)
> 	at
> org.eclipse.e4.ui.internal.workbench.PartServiceImpl.
> bringToTop(PartServiceImpl.java:401)
> 	at
> org.eclipse.e4.ui.internal.workbench.PartServiceImpl.
> showPart(PartServiceImpl.java:1214)
> 	at
> org.eclipse.ui.internal.WorkbenchPage.busyOpenEditor(WorkbenchPage.java:3261)
> 	at org.eclipse.ui.internal.WorkbenchPage.access$25(WorkbenchPage.java:3176)
> 	at org.eclipse.ui.internal.WorkbenchPage$10.run(WorkbenchPage.java:3158)
> 	at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:70)
> 	at org.eclipse.ui.internal.WorkbenchPage.openEditor(WorkbenchPage.java:3153)
> 	at org.eclipse.ui.internal.WorkbenchPage.openEditor(WorkbenchPage.java:3117)
> 	at org.eclipse.ui.internal.WorkbenchPage.openEditor(WorkbenchPage.java:3107)
> 	at org.eclipse.ui.ide.IDE.openEditor(IDE.java:563)
> 	at org.eclipse.ui.ide.IDE.openEditor(IDE.java:518)
> 	at
> org.eclipse.jdt.internal.ui.javaeditor.EditorUtility.
> openInEditor(EditorUtility.java:360)
> 	at
> org.eclipse.jdt.internal.ui.javaeditor.EditorUtility.
> openInEditor(EditorUtility.java:167)
> 	at org.eclipse.jdt.ui.actions.OpenAction.run(OpenAction.java:256)
> 	at org.eclipse.jdt.ui.actions.OpenAction.run(OpenAction.java:221)
> 	at
> org.eclipse.jdt.ui.actions.SelectionDispatchAction.
> dispatchRun(SelectionDispatchAction.java:271)
> 	at
> org.eclipse.jdt.ui.actions.SelectionDispatchAction.
> run(SelectionDispatchAction.java:249)
> 	at
> org.eclipse.jdt.internal.ui.navigator.OpenAndExpand.run(OpenAndExpand.java:
> 50)
> 	at org.eclipse.ui.actions.RetargetAction.run(RetargetAction.java:225)
> 	at
> org.eclipse.ui.navigator.CommonNavigatorManager$2.
> open(CommonNavigatorManager.java:191)
> 	at
> org.eclipse.ui.OpenAndLinkWithEditorHelper$InternalListener.
> open(OpenAndLinkWithEditorHelper.java:46)
> 	at
> org.eclipse.jface.viewers.StructuredViewer$2.run(StructuredViewer.java:855)
> 	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
> 	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
> 	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
> 	at
> org.eclipse.jface.viewers.StructuredViewer.fireOpen(StructuredViewer.java:
> 852)
> 	at
> org.eclipse.jface.viewers.StructuredViewer.handleOpen(StructuredViewer.java:
> 1169)
> 	at org.eclipse.ui.navigator.CommonViewer.handleOpen(CommonViewer.java:451)
> 	at org.eclipse.jface.util.OpenStrategy.fireOpenEvent(OpenStrategy.java:278)
> 	at org.eclipse.jface.util.OpenStrategy.access$2(OpenStrategy.java:272)
> 	at org.eclipse.jface.util.OpenStrategy$1.handleEvent(OpenStrategy.java:313)
> 	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
> 	at org.eclipse.swt.widgets.Display.sendEvent(Display.java:5219)
> 	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1340)
> 	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4553)
> 	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:4143)
> 	at
> org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.
> run(PartRenderingEngine.java:1121)
> 	at
> org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
> 	at
> org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.
> run(PartRenderingEngine.java:1022)
> 	at
> org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.
> java:150)
> 	at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:687)
> 	at
> org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
> 	at
> org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:604)
> 	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:148)
> 	at
> org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.
> java:138)
> 	at
> org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:
> 196)
> 	at
> org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.
> runApplication(EclipseAppLauncher.java:134)
> 	at
> org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.
> start(EclipseAppLauncher.java:104)
> 	at
> org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
> 	at
> org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
> 	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
> 	at
> sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
> 	at
> sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.
> java:43)
> 	at java.lang.reflect.Method.invoke(Method.java:498)
> 	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:673)
> 	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:610)
> 	at org.eclipse.equinox.launcher.Main.run(Main.java:1519)
> 	at org.eclipse.equinox.launcher.Main.main(Main.java:1492)

Have you tried to perform an update?  Using a F24 VM on virt-manager, I tried installing base eclipse-cdt and the file opened successfully.  I then did a full update and it also opened successfully.  Note, there are some errors flagged in the file, but the editor comes up fine.

If that doesn't work, try moving your /home/.eclipse file.

Comment 3 Fedora End Of Life 2017-07-25 22:24:18 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-08-08 16:30:14 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.